Browse Source

Drop py35 jobs

Python 3.5 was the target runtime for the Rocky release.
The current target py3 runtime for Stein is Python 3.6,
so there is no reason to keep testing against the older version.

https://governance.openstack.org/tc/reference/runtimes/stein.html#python-runtime-for-stein

Change-Id: Id4cb74fcbb011bd80f82c0cad907b6eea9c47f1a
changes/17/639917/3
Vishakha Agarwal 3 years ago
parent
commit
e089af1370
  1. 1
      .zuul.yaml
  2. 3
      setup.cfg
  3. 2
      tox.ini

1
.zuul.yaml

@ -5,7 +5,6 @@
- lib-forward-testing-python3
- openstack-lower-constraints-jobs
- openstack-python-jobs
- openstack-python35-jobs
- openstack-python36-jobs
- openstack-python37-jobs
- periodic-stable-jobs

3
setup.cfg

@ -16,7 +16,8 @@ classifier =
Programming Language :: Python :: 2
Programming Language :: Python :: 2.7
Programming Language :: Python :: 3
Programming Language :: Python :: 3.5
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.7
[files]
packages =

2
tox.ini

@ -1,6 +1,6 @@
[tox]
minversion = 2.0
envlist = py37,py36,py35,py27,pep8,docs
envlist = py37,py36,py27,pep8,docs
[testenv]
install_command = pip install {opts} {packages}

Loading…
Cancel
Save